%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-GD-SecurityImage
Version:        1.73
Release:        1mamba
Summary:        GD::SecurityImage - Security image (captcha) generator
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Silvan Calarco <silvan.calarco@mambasoft.it>
URL:            http://www.cpan.org
Source:         http://search.cpan.org/CPAN/authors/id/B/BU/BURAK/GD-SecurityImage-%{version}.tar.gz
License:        GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-GD
BuildRequires: perl-Magick
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:       perl >= %perl_major_ver
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
GD::SecurityImage - Security image (captcha) generator.

%prep
%setup -q -n GD-SecurityImage-%{version}

%build
perl Makefile.PL
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

# cleanup unpackaged files
find %{buildroot}%{perl_sitearch} \
   -type f \( -name perllocal.pod -o -name .packlist \) -exec rm -f {} \;
# remove empty directories
#find %{buildroot}%{perl_sitelib} \
#   -type d -depth -exec rmdir {} 2>/dev/null \;

find %{buildroot} \( -type f -or -type l \) | \
   sed "s@%buildroot@@g;s@.*/man./.*@&.gz@g" | \
   sort -u > .packlist
find %{buildroot} -type d | \
   grep "%{perl_sitearch}/" | \
   sed "s@%buildroot@@g;s@.*@%dir &@g" >> .packlist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Jan 25 2015 Automatic Build System <autodist@mambasoft.it> 1.73-1mamba
- automatic update by autodist

* Sun Sep 02 2012 Automatic Build System <autodist@mambasoft.it> 1.72-1mamba
- automatic version update by autodist

* Sun Sep 04 2011 Automatic Build System <autodist@mambasoft.it> 1.71-1mamba
- automatic version update by autodist

* Tue May 05 2009 Automatic Build System <autodist@mambasoft.it> 1.70-1mamba
- automatic update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.66-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.63-2mamba
- automatic rebuild by autodist

* Mon Mar 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.63-1qilnx
- package created by autospec
